1

Is there any way to install an obsoleting package alongside the package it obsoletes using yum? There are a couple conflicting files but the packages can coexist just fine with the latest version of these files.

A normal installation of the obsoleting package removes the obsoleted package:

# rpm -qa | grep tc-server
vfabric-tc-server-standard-2.9.7-RELEASE.noarch

# yum -y install pivotal-tc-server-standard vfabric-tc-server-standard
---> Package pivotal-tc-server-standard.noarch 0:3.2.1-RELEASE will be obsoleting
---> Package vfabric-tc-server-standard.noarch 0:2.9.7-RELEASE will be obsoleted
...
================================================================================
 Package                     Arch    Version           Repository          Size
================================================================================
Installing:
 pivotal-tc-server-standard  noarch  3.2.1-RELEASE     pivotal-app-suite   34 M
     replacing  vfabric-tc-server-standard.noarch 2.9.7-RELEASE
...
Running Transaction
  Installing : pivotal-tc-server-standard-3.2.1-RELEASE.noarch              1/2
  Erasing    : vfabric-tc-server-standard-2.9.7-RELEASE.noarch              2/2

Installed:
  pivotal-tc-server-standard.noarch 0:3.2.1-RELEASE

Replaced:
  vfabric-tc-server-standard.noarch 0:2.9.7-RELEASE

# rpm -qa | grep tc-server
pivotal-tc-server-standard-3.2.1-RELEASE.noarch

I tried:

yum -y --setopt=obsoletes=0 install pivotal-tc-server-standard vfabric-tc-server-standard

yum -y install pivotal-tc-server-standard --exclude=vfabric-tc-server-standard

Which don't seem to do anything different from a normal install.

I also tried:

# yum install pivotal-tc-server-standard --setopt=protected_packages=vfabric-tc-server-standard
---> Package pivotal-tc-server-standard.noarch 0:3.2.1-RELEASE will be obsoleting
---> Package vfabric-tc-server-standard.noarch 0:2.9.7-RELEASE will be obsoleted
Error: Trying to remove "vfabric-tc-server-standard", which is protected
0

I haven't been able to figure out how to do this using yum yet. Here's what does work:

# yum -y install yum-utils
# yumdownloader pivotal-tc-server-standard
# rpm -i --replacefiles pivotal-tc-server-standard-X.X.X-RELEASE.noarch.rpm

# rpm -qa | grep tc-server
vfabric-tc-server-standard-2.9.7-RELEASE.noarch
pivotal-tc-server-standard-3.2.1-RELEASE.noarch

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.